<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Preview Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-designer.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsx.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsxAdv.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-pdf.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-tabular-data.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-html.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
rel="stylesheet"
href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-viewer.css"
/>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-designer.css"
/>
<style>
#designer-host,
#viewer-host {
margin: 0 auto;
width: 100%;
height: 500px;
}
.hide {
display: none;
}
</style>
</head>
<body>
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
<button
id="btnPdfPreview"
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
onclick="onPdfPreview()"
>
PDF Preview
</button>
<button
id="btnDesignerOpen"
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1 hide"
onclick="onOpenDesigner()"
>
Open Designer
</button>
</div>
</div>
<div id="designer-host"></div>
<div id="viewer-host" class="hide"></div>
<script>
function setVisibility(selector, isVisible) {
document.querySelectorAll(selector).forEach(function (element) {
isVisible
? element.classList.remove("hide")
: element.classList.add("hide");
});
}
var designer = null;
function onOpenDesigner() {
setVisibility("#viewer-host, #btnDesignerOpen", false);
setVisibility("#designer-host, #btnPdfPreview", true);
}
async function onPdfPreview() {
const reportInfo = await designer.getReport();
const report = new MESCIUS.ActiveReportsJS.Core.PageReport();
await report.load(reportInfo?.definition);
const doc = await report.run();
const result = await MESCIUS.ActiveReportsJS.PdfExport.exportDocument(
doc
);
result.download("exportedreport");
}
MESCIUS.ActiveReportsJS.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
);
designer = new MESCIUS.ActiveReportsJS.ReportDesigner.Designer(
"#designer-host"
);
designer.setActionHandlers({
onRender: (report) => {
setVisibility("#viewer-host, #btnDesignerOpen", true);
setVisibility("#designer-host, #btnPdfPreview", false);
viewer.open(report.definition);
return Promise.resolve();
},
});
designer.setReport({ id: "reports/company-template.rdlx-json" });
var viewer = new MESCIUS.ActiveReportsJS.ReportViewer.Viewer(
"#viewer-host"
);
</script>
</body>
</html>

<template>
<div>
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
@click="onPdfPreview"
:style="{ display: designerHidden ? 'none' : 'block' }"
>
PDF Preview
</button>
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
@click="onDesignerOpen"
:style="{ display: designerHidden ? 'block' : 'none' }"
>
Open Designer
</button>
</div>
</div>
<div
id="designer-host"
:style="{ display: designerHidden ? 'none' : 'block' }"
>
<ReportDesigner
ref="reportDesigner"
:report="{ id: 'reports/company-template.rdlx-json' }"
:onRender="onReportPreview"
/>
</div>
<div
id="viewer-host"
:style="{ display: designerHidden ? 'block' : 'none' }"
>
<ReportViewer ref="reportViewer" />
</div>
</div>
</template>
<script>
import { Viewer, Designer } from "@mescius/activereportsjs-vue";
import Core from "@mescius/activereportsjs/core";
import { exportDocument as pdfExport } from "@mescius/activereportsjs/pdfexport";
export default {
components: {
ReportViewer: Viewer,
ReportDesigner: Designer,
},
data() {
return {
designerHidden: false,
};
},
methods: {
async onPdfPreview() {
const reportInfo = await this.$refs.reportDesigner.getReport();
const report = new Core.PageReport();
await report.load(reportInfo.definition);
const doc = await report.run();
const result = await pdfExport(doc);
result.download("exportedreport");
},
onDesignerOpen() {
this.designerHidden = false;
},
async onReportPreview(report) {
this.designerHidden = true;
this.$refs.reportViewer.Viewer().open(report.definition);
},
},
};
Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host,
#viewer-host {
width: 100%;
height: 500px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Preview Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es2022",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"./reportdesigner.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);

import { ChangeDetectorRef, Component, ViewChild } from "@angular/core";
import {
ViewerComponent,
DesignerComponent,
AR_EXPORTS,
PdfExportService,
HtmlExportService,
TabularDataExportService,
XlsxExportService,
XlsxAdvExportService,
} from "@mescius/activereportsjs-angular";
import { PageReport } from "@mescius/activereportsjs/core";
import { PdfExport } from "@mescius/activereportsjs";
import { switchToDesigner, switchToViewer } from "./utils";
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
providers: [
{
provide: AR_EXPORTS,
useClass: PdfExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: HtmlExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: TabularDataExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxAdvExportService,
multi: true,
},
],
})
export class AppComponent {
designerHidden = false;
initialReport = { id: "reports/company-template.rdlx-json" };
// constructor(private changeDetectorRef: ChangeDetectorRef) {}
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
@ViewChild(DesignerComponent, { static: false })
reportDesigner: DesignerComponent;
async onPdfPreview() {
const reportInfo = await this.reportDesigner.getReport();
const report = new PageReport();
await report.load(reportInfo?.definition);
const doc = await report.run();
const result = await PdfExport.exportDocument(doc as any);
result.download("exportedreport");
}
onDesignerOpen() {
switchToDesigner();
this.designerHidden = false;
}
onReportPreview = (report: any) => {
switchToViewer();
this.designerHidden = true;
this.reportViewer.open(report.definition);
// this.changeDetectorRef.detectChanges();
return Promise.resolve();
};
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host,
#viewer-host {
width: 100%;
height: 500px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
import { ReactiveFormsModule } from "@angular/forms";
@NgModule({
declarations: [AppComponent],
imports: [ActiveReportsModule, BrowserModule, ReactiveFormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
(click)="onPdfPreview()"
[hidden]="designerHidden"
>
PDF Preview
</button>
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
(click)="onDesignerOpen()"
[hidden]="!designerHidden"
>
Open Designer
</button>
</div>
</div>
<div id="designer-host" [hidden]="designerHidden">
<gc-activereports-designer
[report]="initialReport"
[onRender]="onReportPreview"
></gc-activereports-designer>
</div>
<div id="viewer-host" [hidden]="!designerHidden">
<gc-activereports-viewer></gc-activereports-viewer>
</div>
(function (global) {
System.config({
transpiler: "./plugin-typescript.js",
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: "./node_modules/",
meta: {
typescript: {
exports: "ts",
},
"*.css": { loader: "systemjs-plugin-css" },
},
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@angular/*/package.json",
"./node_modules/@mescius/*/package.json",
],
map: {
'typescript': "typescript/lib/typescript.js",
'rxjs': "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"./core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: "ts",
},
rxjs: {
defaultExtension: "js",
// "main": "bundles/rxjs.umd.min.js"
},
node_modules: {
defaultExtension: "js",
},
"@angular/core": {
defaultExtension: "mjs",
main: "fesm2022/core.mjs",
},
"@angular/platform-browser": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser.mjs",
},
"@angular/common": {
defaultExtension: "mjs",
main: "fesm2022/common.mjs",
},
"@angular/compiler": {
defaultExtension: "mjs",
main: "fesm2022/compiler.mjs",
},
"@angular/forms": {
defaultExtension: "mjs",
main: "fesm2022/forms.mjs",
},
"@angular/localize": {
defaultExtension: "mjs",
main: "fesm2022/localize.mjs",
},
"@angular/platform-browser-dynamic": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser-dynamic.mjs",
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
},
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Preview Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>

import React, { Fragment } from "react";
import ReactDOM from "react-dom";
import { Viewer as ReportViewer, Designer } from "@mescius/activereportsjs-react";
import { PageReport } from "@mescius/activereportsjs/core";
import {exportDocument as pdfExport } from "@mescius/activereportsjs/pdfexport";
import { FontStore } from "@mescius/activereportsjs/core";
function App() {
const designer = React.useRef();
const viewer = React.useRef();
const [designerVisible, setDesignerVisible] = React.useState(true);
function onDesignerOpen() {
setDesignerVisible(true);
}
async function onPdfPreview() {
const reportInfo = await designer.current.getReport();
const report = new PageReport();
await report.load(reportInfo.definition);
const doc = await report.run();
const result = await pdfExport(doc);
result.download("exportedreport");
}
function onReportPreview(report){
setDesignerVisible(false);
viewer.current.open(report.definition);
return Promise.resolve();
}
return (
<Fragment>
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
{designerVisible && (
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
onClick={() => onPdfPreview()}
>
PDF Preview
</button>
)}
{!designerVisible && (
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
onClick={() => onDesignerOpen()}
>
Open Designer
</button>
)}
</div>
</div>
<div
id="designer-host"
style={{ display: designerVisible ? "block" : "none" }}
>
<Designer report={{ id: "reports/company-template.rdlx-json" }} ref={designer} onRender={onReportPreview} />
</div>
{!designerVisible && (
<div id="viewer-host">
<ReportViewer ref={viewer} />
</div>
)}
</Fragment>
);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Preview Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="index.css" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host,
#viewer-host {
width: 100%;
height: 500px;
}
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"npm:@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/activereportsjs-i18n-ja":
"npm:@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"npm:@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);